Package org.apache.tapestry5.internal.beanvalidator

## Class BaseCCD

- java.lang.Object
- - org.apache.tapestry5.internal.beanvalidator.BaseCCD

- All Implemented Interfaces:
    `ClientConstraintDescriptor`

      public abstract class BaseCCD
      extends Object
      implements ClientConstraintDescriptor

  Describes a single client-side constraint.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseCCD​(Class annotationClass, String... attributes)` | Creates a `BaseCCD`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class` | `getAnnotationClass()` | Returns the annotation describing the constraint declaration.
    `Set<String>` | `getAttributes()` | Attribute names of the constraint annotation to be passed (along with their values) to the JavaScript validator function as an `JSONObject`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tapestry5.beanvalidator.ClientConstraintDescriptor

      `applyClientValidation`

- - ### Constructor Detail

    - #### BaseCCD

          public BaseCCD​(Class annotationClass,
                         String... attributes)

      Creates a `BaseCCD`.
      Parameters:
        `annotationClass` - Type of the constraint annotation
        `attributes` - Attribute names of the constraint annotation to be passed (along with their values) to the JavaScript validator function as an `JSONObject`.

  - ### Method Detail

    - #### getAnnotationClass

          public Class getAnnotationClass()

      Returns the annotation describing the constraint declaration.
      Specified by:
        `getAnnotationClass` in interface `ClientConstraintDescriptor`

    - #### getAttributes

          public Set<String> getAttributes()

      Attribute names of the constraint annotation to be passed (along with their values) to the JavaScript validator function as an `JSONObject`.
      Specified by:
        `getAttributes` in interface `ClientConstraintDescriptor`